/*	
** Xmas (X memory access simulator) is a little memory (+cache) simulator.
** Copyright (C) 1997/98/99/00  <Paolo Dovera pd514314@silab.dsi.unimi.it>
**                              <Paolo Dovera pdovera@tiscalinet.it>

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

** Send any bug reports or comments to pd514314@silab.dsi.unimi.it
**                                     pdovera@tiscalinet.it
*/

#ifndef GENERAL_SUPPORT_H
#define GENERAL_SUPPORT_H

/*
** Error/Message code
*/
#define Birthday 71
#define UpdateFromOldVersion 72
#define UsingOldVersionOnRecentVersion 73

int versioncheck(char **envp);
int writexmasconf(char *path_file);
int find_home(char **envp, char *string);
int birthday(void);

void DateTime(char *Date, char *Orario);

void SaveConfiguration(void);
int XmasDirStatus(char *dir, unsigned int length);

#endif
