/*	
** Xmas (X memory access simulator) is a little memory (+cache) simulator.
** Copyright (C) 1997/98/99/00  <Paolo Dovera pd514314@silab.dsi.unimi.it>
**                              <Paolo Dovera pdovera@tiscalinet.it>

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

** Send any bug reports or comments to pd514314@silab.dsi.unimi.it
**                                     pdovera@tiscalinet.it
*/

#ifndef INTRFACCIA_SUPPORT_H
#define INTRFACCIA_SUPPORT_H

#define MaxCarAvailableForMessage 4096

#define SetMemorySizeError 52
#define SetCacheSizeError 50

/*
** Error/Message code
*/
#define SetLdmWithoutValue 70

int IstructionViewer(Widget viewer,unsigned int PC);

void reshow_cache(void);  /*| Hmms,                                     */
void reshow_reg(void);    /*| all datums are passed by global variables */
void reshow_memory(void); /*| very bad! but works!                      */

void show_total(Widget total);
void show_scrittura(Widget obj);
void show_politica(Widget obj);
void show_replace_mode(Widget obj);

int TestPC(int *PC, String stringPC);
int SetLdm(String stringParse, unsigned int BitMemory);
int Calculate_relative_shell_position_and_set(Widget pshell);
int Shell_position_on_right(Widget pshell);
int Shell_position_generic(Widget relative, Widget pshell);
int reshow_label(Widget w, String partial_string, int value);

int make_frames(Pixmap *frames);
#endif
