/*	
** Xmas (X memory access simulator) is a little memory (+cache) simulator.
** Copyright (C) 1997/98/99/00  <Paolo Dovera pd514314@silab.dsi.unimi.it>
**                              <Paolo Dovera pdovera@tiscalinet.it>

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

** Send any bug reports or comments to pd514314@silab.dsi.unimi.it
**                                     pdovera@tiscalinet.it
*/

#ifndef ERRORMESSAGE_H
#define ERRORMESSAGE_H

#include "config.h"

/*
lenght without scrollbar
|---------------------------------------------------------|
*/
/*
|---------------------------------------------------------|
*/
#define UpdateFromOldVersionError \
"Updated the configuration from old version"
/*
|---------------------------------------------------------|
*/
#define UsingOldVersionOnRecentVersionError \
"You are using an old version where you had executed\n\
a more recent release!"
/*
|---------------------------------------------------------|
*/
#define WelcomeMessage \
"Welcome to Xmas\n\
the X memory access simulator\n\n\
Author: "AUTHORname" "AUTHORemail"\n\
                     "secondAUTHORemail"\n\
WEB home page:\n"WEB"\n\n\n\
to remove this message follow the chain\n\
Options->Preferences->Customize->General->Welcome"

/*
|---------------------------------------------------------|
*/
#define UnderConstructionMessage \
"This software is UNDER CONSTRUCTION, this is an\n\
internal step to a definitive release.\n\
Please choose a stable release, this is a development\n\
that might not implement correctly all the features."
/*
|---------------------------------------------------------|
*/
#define Dedica \
"*******************************************************\n\
* This software is dedicated to maltreated kids, with *\n\
* the hope of a better future for them.               *\n\
*******************************************************"
/*
|---------------------------------------------------------|
*/
#define MessBirthday \
"*******************************************************\n\
* Happy birthday to me !!!                            *\n\
* TODAY IS MY BIRTHDAY !!!                            *\n\
* birthday date: 13 Nov 1995                          *\n\
*******************************************************"
/*
|---------------------------------------------------------|
*/
#define AuthorMessage \
"Author: "AUTHORname" "AUTHORemail"\n\
                     "secondAUTHORemail
/*
|---------------------------------------------------------|
*/
#define HelpMessage \
"For help contact me at: "AUTHORemail"\n\
                        "secondAUTHORemail"\n\
\n\
for Copyright information see the Help menu\n\
\n\
WEB home page:\n"WEB
/*
|---------------------------------------------------------|
*/
#define ErrorWriteonROR \
"An illegal istruction attempt to write in $0,\n\
it is READ ONLY.\n\
I' m unable to write in $0: istruction ignored !"
/*
|---------------------------------------------------------|
*/
#define ErrorExceededMaxReg \
"Exceeded the maximum REGISTER value at line:"
/*
|---------------------------------------------------------|
*/
#define ErrorExceededImmField \
"Exceeded the maximum IMMEDIATE value at line:"
/*
|---------------------------------------------------------|
*/
#define ErrorExceededMinSa \
"The shift smount, the last numeric value, cannot be zero!\n\
at line:"
/*
|---------------------------------------------------------|
*/
#define ErrorExceededMaxSa \
"Exceeded the maximum Shift Amount at line:"
/*
|---------------------------------------------------------|
*/
#define ErrorExecSAOutOfRange \
"The Shift Amount is out of range, check it!\n\
It's less or equal to zero or greater then word bit"
/*
|---------------------------------------------------------|
*/
#define ErrorExecDivByZero \
"Divide by zero error catched!\n\
div istruction is abnormal!\n\
denominator MUST NOT be zero!\n\
Correct your program and re-run it"
/*
|---------------------------------------------------------|
*/
#define ErrorExecSmallZeroFieldError \
"Illegal mfhi/mflo istruction\n\
the field small zero is not null at PC"
/*
|---------------------------------------------------------|
*/
#define ErrorExecZeroDivMultError \
"Illegal div/mult istruction\n\
the file zero is not null at PC"
/*
|---------------------------------------------------------|
*/
#define ErrorExecZeroFieldError \
"Illegal mfhi/mflo istruction\n\
the field zero is not null at PC"
/*
|---------------------------------------------------------|
*/
#define ErrorIstrError \
"Unknown istruction, unable to understand\n\
the istruction"
#define ErrorIstrErrorExecutor \
" at PC 0x"
#define ErrorIstrErrorLoader \
"in file:"
/*
|---------------------------------------------------------|
*/
#define ErrorIstrLimit \
"Istruction Alarm!\n\
To much istructions to execute a program probably an\n\
infinite loop in the program.\n\
Check the condition ending of the loop.\n\
The VCPU hard limit istructions is:"
/*
|---------------------------------------------------------|
*/
#define ErrorOutofTime \
"Time execution Alarm!\n\
To much time to execute a program probably an\n\
infinite loop in the program.\n\
Check the condition ending of the loop.\n\
The VCPU hard limit in second(s) is:"
/*
|---------------------------------------------------------|
*/
#define SignalBreakPoint \
"Executor stopped !\n\
met a breakpoint at PC"
/*
|---------------------------------------------------------|
*/
#define SignalHalt \
"The program is stopped by HALT istruction"
/*
|---------------------------------------------------------|
*/
#define ErrorFileOpen \
"No such file or directory, try a new name"
/*
|---------------------------------------------------------|
*/
#define ErrorFileIncomplete \
"Incomplete, without .text directive,\n\
source file: "
#define ErrorFileIncompleteExample \
"Add .text before the istructions\n\
Example:\n\
.Pc 1f\n\
.Direct\n\
.text\n\
addi $1 $2 10\n\
alt"
/*
|---------------------------------------------------------|
*/
#define ErrorUnknown \
"Very strange error !\n\
Please contact the author"
/*
|---------------------------------------------------------|
*/
#define ErrorLoaderWhithoutRS \
"Please pay attention an istruction\n\
is without rs field"
/*
|---------------------------------------------------------|
*/
#define ErrorLoaderWhithoutRT \
"Please pay attention an istruction\n\
is without rt field"
/*
|---------------------------------------------------------|
*/
#define ErrorLoaderWhithoutRD \
"Please pay attention an istruction\n\
is without rd field"
/*
|---------------------------------------------------------|
*/
#define ErrorLoaderWhithoutIMM \
"Please pay attention an istruction\n\
is without imm field"
/*
|---------------------------------------------------------|
*/
#define ErrorOutPC \
"Please pay attention, your Program Counter\n\
ran out of memory!"
/*
|---------------------------------------------------------|
*/
#define ErrorCacheSize \
"Wrong cache size, out of range request or\n\
size less than Nway"
/*
|---------------------------------------------------------|
*/
#define ErrorMemorySize \
"Wrong memory size, out of range or less than cache"
/*
|---------------------------------------------------------|
*/
#define ErrorNWay \
"The size of cache is incompatible with the\n\
NWay policy, less NWay than the size"
/*
|---------------------------------------------------------|
*/
#define UnknownKind \
"Switch Default Internal error\n\
Unknown kind of"
#define ContactAuthor \
"please contact the author for this very strange error"
/*
|---------------------------------------------------------|
*/
#define ErrorMessageFunction \
"ErrorMessage Internal Error\n\
please contact the author, probably you have\n\
cacthed a bug"
/*
|---------------------------------------------------------|
*/
#define ErrorPC \
"Incomplete .PC directive, without a value\n\
Example:\n\
.Pc 5\n\
The Program Counter get hex value 5"
/*
|---------------------------------------------------------|
*/
#define ErrorData \
"Incomplete .Data directive, without\n\
a numeric value\n\
Example:\n\
.Data 5<=7\n\
The memory #5 get value 7"
/*
|---------------------------------------------------------|
*/
#define ErrorIncompleteNWay \
"Incomplete .NWay directive, without\n\
a numeric value\n\
Example:\n\
.NWay 2\n\
The policy NWay get value 2"
/*
|---------------------------------------------------------|
*/
#define ErrorSWLWAddress \
"EXECUTOR RUN-TIME ERROR:\n\
the SW/LW address is greater than memory"
/*
|---------------------------------------------------------|
*/
#define ErrorSetLdmWithoutValue \
"Please insert a rvalue correct\n\
Example:\n\
b=2a"
/*
|---------------------------------------------------------|
*/
#define ErrorSetRegWithoutValue \
"Please insert a rvalue correct\n\
Example:\n\
R4=9\n\
Hi=f\n\
Lo=1f"
/*
|---------------------------------------------------------|
*/
#define ErrorCETag \
"The tag value is not compatible with the policy of\n\
the cache, wrong tag value:"
/*
|---------------------------------------------------------|
*/
#define ErrorCEValidBit \
"Setting are discarded because the valid bit is zero"
/*
|---------------------------------------------------------|
*/
#define ErrorOUTPC \
"is a wrong value, please keep it in memory address"
/*
|---------------------------------------------------------|
*/
#define ErrorEditMuchIstrs \
"Too much istructions, please pay attention\n\
your Program Counter attempt to exceed the\n\
memory"
/*
|---------------------------------------------------------|
*/
#define ErrorEditIstrUnKnown \
"EDITOR: parsing error at line"
#define ErrorHelptoHuman \
"check the syntax of the line"
/*
|---------------------------------------------------------|
*//* used by PathExecFileWrong too */
#define ErrorEditFileWrong \
"Sorry, unable write into file:"
/*
|---------------------------------------------------------|
*/
#define ErrorEditNoProgram \
"The editor is empty, there isn' t a program to write\n\
in memory"
/*
|---------------------------------------------------------|
*/
#define NOERRORCHECK \
"Good, check completed, the program is correct\n\
NO ERRORS FOUNDS"
/*
|---------------------------------------------------------|
*/
#define ErrorEditPCUnset \
"Please set a Program Counter,\n\
unable to write in memory without a PC\n\
ex: 0x0 or 0xf0 (must be in memory)"
/*
|---------------------------------------------------------|
*/
#define ErrorEditFileOpenError \
"Please check the file name unable to open:"
/*
|---------------------------------------------------------|
*/
#define ErrorEditPCoutMemory \
"The Program Count is out of memory\n\
please choose a correct value up to"
/*
|---------------------------------------------------------|
*/
#define ErrorEditCheckError \
"Not a correct operation code, unable to understand\n\
the line number:"
/*
|---------------------------------------------------------|
*/
#define ErrorBrPtsPCNull \
"You must at least type a program counter to create\n\
a new breakpoint"
/*
|---------------------------------------------------------|
*/
#define ErrorBrPtsPCOutOfBound \
"Program counter too large, exceeded the max memory size\n\
the value must be less or equal than"
/*
|---------------------------------------------------------|
*/
#define ErrorBrPtsNoMoreRoom \
"Ops, no more room to store your new breakpoint!\n\
remove some old breakpoints to free space"
/*
|---------------------------------------------------------|
*/
#define ErrorYNFunctionError \
"Error on call YNshell, no panic!\n\
there is not a valid function.\n\
Please remember this and contact the author:"
/*
|---------------------------------------------------------|
*/
#define ErrorYNLabelError \
"Error on call YNshell, no panic!\n\
there is not a valid label.\n\
Please remember this and contact the author:"
/*
|---------------------------------------------------------|
*/
#define ErrorMemEditorViewer \
"Incorrect value to display the program\n\
automatically set to the viewer"
/*
|---------------------------------------------------------|
*/
#define ErrorIncorrectStartValue \
"Please choose a numeric value for Begin Ldm\n\
for example: 0x0 or 0xf or 0x1a"
/*
|---------------------------------------------------------|
*/
#define ErrorIncorrectEndValue \
"Please choose a numeric value for End Ldm\n\
for example: 0x4 or 0x7f or 0xe0"
/*
|---------------------------------------------------------|
*/
#define ErrorStartOutMemory \
"Please choose a value in the memory range\n\
for Begin Ldm"
/*
|---------------------------------------------------------|
*/
#define ErrorEndOutMemory \
"Please choose a value in the memory range\n\
for End Ldm"
/*
|---------------------------------------------------------|
*/
#define ErrorEndLessThanStart \
"Please check that End Ldm was less than Begin Ldm"
/*
|---------------------------------------------------------|
*/
#define ErrorMemEditorTmpFile \
"Unable to open the temporary file:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintTmpFileError \
"Unable to open the temporary file:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintCommandTextError \
"Unable to print a text version of the program\n\
with the command:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintCommandLaTeX \
"Unable to print a postscript version of the program\n\
with the command:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintCommandRM \
"Unable to remove the temporary files with the\n\
command:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintCommandUnlink \
"Unable to remove the temporary file with the command:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintUnabletoGetTmpDir \
"Unable to load the temporary directory where store\n\
temporary files\n\
file not found:"
/*
|---------------------------------------------------------|
*/
#define ErrorPrintUnalbleGetCommand \
"Unable to get the command to print the buffer\n\
option not found:"
/*
|---------------------------------------------------------|
*/
#define ErrorErrorOnPrinterType \
"ATTENTION !!! NO PANIC !!!\n\
Printer type error, choose the default text line\n\
printer"
/*
|---------------------------------------------------------|
*/
#define ErrorChooseFunctionError \
"Error on call Choose, no panic!\n\
there is not a valid function.\n\
Please remember this and contact the author:"
/*
|---------------------------------------------------------|
*/
#define ErrorErrorOnPrinterName \
"Please type a correct printer name like:\n\
lp\n\
deskjet\n\
laser"
/*
|---------------------------------------------------------|
*/
#define ErrorOpenSaveDeleteError \
"Please pay attention, the file selected does not\n\
exist choose a correct file name"
/*
|---------------------------------------------------------|
*/
#define ErrorOpenSaveUnableScan \
"OpenSave error!\n\
unable to scan the current directory:"
/*
|---------------------------------------------------------|
*/
#define SearchInputInvalidError \
"Please type a correct Search input, for example:\n\
0x0 0xfa 0x12a for numeric values\n\
NOP\n\
ADDI $2 $3 ff30\n\
DIV $3 $5\n\
for ASCII istruction format"
/*
|---------------------------------------------------------|
*/
#define ErrorPreferencesCannotSave \
"Sorry, unable to save the file:"
/*
|---------------------------------------------------------|
*/
#define ErrorPreferencesCannotEnterDirectory \
"Cannot enter the XMas direectory in your home"
/*
|---------------------------------------------------------|
*/
#define ErrorPreferencesCannotLoadFile \
"Cannot load the file relative the choice!\n\
...automatic load of default setting!\n\
You may press Save to have the preferences\n\
the next time\n\n\
cannot read file name:"
/*
|---------------------------------------------------------|
*/
#define ErrorCouldntSend \
"Cannot send your email!\n\
unable to create the process to send the mail!\n\
command popen failure:"
/*
|---------------------------------------------------------|
*/
#define ErrorPcloseFailure \
"I don't sure that your mail is sent!\n\
pclose failure"
/*
|---------------------------------------------------------|
*/
#define ErrorNullAddress \
"Please type an email address like:"
/*
|---------------------------------------------------------|
*/
#define ErrorSizerManualValueOutofRange \
"Wrong typed value, check if it's inside the range\n\
switching to scrollbar value"
/*
|---------------------------------------------------------|
*/
#define CopyrightMessage \
"Xmas (X memory access simulator) is a little\n\
memory (+cache) simulator.\n\
Copyright (C) 1997/98/99/00\n\
Paolo Dovera "AUTHORemail"\n\
             "secondAUTHORemail"\n\
\n\
This program is free software; you can redistribute it\n\
and/or modify it under the terms of the GNU General\n\
Public License as published by the Free Software\n\
Foundation; either version 2 of the License, or\n\
(at your option) any later version.\n\
\n\
This program is distributed in the hope that it will\n\
be useful, but WITHOUT ANY WARRANTY; without even the\n\
implied warranty of MERCHANTABILITY or FITNESS FOR A\n\
PARTICULAR PURPOSE.  See the GNU General Public\n\
License for more details.\n\
\n\
You should have received a copy of the GNU General\n\
Public License along with this program; if not,\n\
write to the Free Software Foundation,\n\
Inc., 675 Mass Ave, Cambridge, MA 02139, USA.\n\
\n\
Send any bug reports or comments to\n\
Paolo Dovera "AUTHORemail"\n\
             "secondAUTHORemail
#endif


