/*	
** Xmas (X memory access simulator) is a little memory (+cache) simulator.
** Copyright (C) 1997/98/99/00  <Paolo Dovera pd514314@silab.dsi.unimi.it>
**                              <Paolo Dovera pdovera@tiscalinet.it>

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

** Send any bug reports or comments to pd514314@silab.dsi.unimi.it
**                                     pdovera@tiscalinet.it
*/

#ifndef POLITICA_H
#define POLITICA_H

#define Direct  0
#define Fully   1
#define Nway    2
#define KDirect 3
#define SIDE    4

/*
** Control the state of the policy
*/
void inizializza_politica(void);
unsigned int getTipoPolitica(void);
char *getStringPolicy(void);
unsigned int setTipoPolitica(unsigned int newTipoPolitica);
unsigned int getWay(void);
unsigned int setWay(unsigned int newWay);

/*
** Read/Write with/without update the statistics
*/
int polread(unsigned int AddressMem);
void polwrite(unsigned int AddressMem,int MemValue);
void polwritewithoutstat(unsigned int AddressMem, int Value);
int polreadwithoutstat(unsigned int AddressMem);

unsigned int getpolpos(unsigned int AddressMem, unsigned int WithReplacement);

int LoadPoliticaStatus(void);
int SavePoliticaStatus(char *XmasDir);
#endif
