/*	
** Xmas (X memory access simulator) is a little memory (+cache) simulator.
** Copyright (C) 1997/98/99/00  <Paolo Dovera pd514314@silab.dsi.unimi.it>
**                              <Paolo Dovera pdovera@tiscalinet.it>

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

** Send any bug reports or comments to pd514314@silab.dsi.unimi.it
**                                     pdovera@tiscalinet.it
*/

/*
!!! xmas program widget resources
!xmas.iconName: try a name
*/

/*
! COLOURING SETTINGS FOR Xmas
! For monocrome display comment this resources
*/
"xmas*background: white", /* default backgroung color for all widgets */
  /*
  ** If you want another background color you must specify it for each widget!
  */
"xmas*Form.background: lightgrey",
"xmas.xmasYN.form_YN.YN_label.background: lightgrey",
"xmas.paned.form_command.buttonfile.menufile.filequit.foreground: red",

/*
! colouring of the dialog for bit cache/memory, ...
*/
"xmas.xmasDialog.dialog.background: lightgrey",
"xmas.xmasDialog.dialog.label.background: lightgrey",
"xmas.xmasDialog.dialog.value.background: white",

/*
! Colouring the Istruction Viewer
*/
"xmas.paned.form_view_istruzione.view_istruzione.foreground: steelblue",

/*
! YNshell coloring
*/
"xmas.xmasYN.form_YN.YN_dummy.background: lightgrey",
"xmas.xmasYN.form_YN.YN_label.foreground: red",
"xmas.xmasYN.form_YN.YN_cancel.foreground: YellowGreen",
"xmas.xmasYN.form_YN.YN_done.foreground: goldenrod",

/*
! Tuning shell coloring
*/
"*xmasSizer*Scrollbar.*.*foreground: red",

/*
! END OF COLOURING !!!
! END OF COLOURING !!!
*/

/*
!! Global widget resources
*/

/*
! Shape Extension
*/
"xmas*Command.ShapeStyle: Oval",
"xmas*MenuButton.ShapeStyle: Oval",
"xmas*Repeater.ShapeStyle: Oval",

/*
! Show the mouse in Repeater MenuButton Command
*/
"xmas*Repeater.highlightThickness: 2",
"xmas*MenuButton.highlightThickness: 2",
"xmas*Command.highlightThickness: 2",

/*
!! Set the response time of a repeater to 800ms
*/
"xmas*Repeater.repeatDelay: 800",
"xmas*Repeater.minimumDelay: 800",
"xmas*Repeater.initialDelay: 800",

/*
! Force the columns resource list widgets
*/
"xmas*List.forceColumns: True",
"xmas.xmasBreakpoints.form_BP.ViewBP.listBPs.defaultColumns: 1",
"xmas*List.defaultColumns: 4",

/*
! Force the vertical scollbar only for all view port widget
*/
"xmas.paned.Viewport.allowVert: True",
"xmas.paned.Viewport.allowHoriz: False",
  "xmas.paned.Viewport.forceBars: True",

/*
!! Take off the grips to the paned
*/
"xmas.paned.form_command.showGrip: False",
"xmas.paned.form_labelreg.showGrip: False",
"xmas.paned.view_regs.showGrip: False",
"xmas.paned.form_labelcache.showGrip: False",
"xmas.paned.form_view_istruzione.showGrip: False",
"xmas.paned.view_cache.showGrip: False",
"xmas.paned.view_memory.showGrip: False",
"xmas.paned.form_linehelp.showGrip: False",

/*
!! Local widget resources
*/

/*
!! Menu' File
*/
"xmas.paned.form_command.buttonfile.label: File",
"xmas.paned.form_command.buttonfile.menufile.fileload.label: (C-o) Open",
"xmas.paned.form_command.buttonfile.menufile.filemail.label:       Mail",
"xmas.paned.form_command.buttonfile.menufile.filequit.label: (C-q) Quit",

/*
!! Menu' Run
*/
"xmas.paned.form_command.buttonmoderun.fromHoriz: run",
"xmas.paned.form_command.buttonmoderun.label: RunMode",
"xmas.paned.form_command.buttonmoderun.menumoderun.runfree.label: FreeRun",
"xmas.paned.form_command.buttonmoderun.menumoderun.runstepbystep.label: StepByStep",
"xmas.paned.form_command.buttonmoderun.menumoderun.breakpoint.label: Breakpoint",
"xmas.paned.form_command.buttonmoderun.menumoderun.timelimit.label: TimeLimit",
"xmas.paned.form_command.buttonmoderun.menumoderun.pe.label: Tracer",
"xmas.paned.form_command.buttonmoderun.menumoderun.istrlimit.label: IstrLimit",
"xmas*SimpleMenu*HorizontalMargins: 20",

/*
!! Comando run
*/
"xmas.paned.form_command.run.fromHoriz: buttonfile",
"xmas.paned.form_command.run.label: (C-r) Run",

/*
!! Menu' Option
*/
"xmas.paned.form_command.buttonoption.fromHoriz: buttonmoderun",
"xmas.paned.form_command.buttonoption.label: Options",
"xmas.paned.form_command.buttonoption.menuoption.option1.label: Editor Auto Load",
"xmas.paned.form_command.buttonoption.menuoption.option2.label: Editor Auto Save",
"xmas.paned.form_command.buttonoption.menuoption.option3.label: Disable Message on HALT",
"xmas.paned.form_command.buttonoption.menuoption.option4.label: (C-f) Preferences",

/*
!! Menu' Window
*/
"xmas.paned.form_command.buttonwindow.fromHoriz: buttonoption",
"xmas.paned.form_command.buttonwindow.label: Tools",
"xmas.paned.form_command.buttonwindow.menuwindow.window1.label: (C-e) Editor",
"xmas.paned.form_command.buttonwindow.menuwindow.window2.label: (C-b) Breakpoints",
"xmas.paned.form_command.buttonwindow.menuwindow.window3.label: (C-m) MemToEditor",
"xmas.paned.form_command.buttonwindow.menuwindow.window4.label: (C-c) Calculator",
"xmas.paned.form_command.buttonwindow.menuwindow.window5.label: (C-p) Path Tracer",
"xmas.paned.form_command.buttonwindow.menuwindow.window6.label: (C-a) Mail",

/*
!! Menu' Tuning
*/
"xmas.paned.form_command.buttontuning.fromHoriz: buttonwindow",
"xmas.paned.form_command.buttontuning.label: Tuning",
"xmas.paned.form_command.buttontuning.menutuning.tuning1.label: TimeLimit",
"xmas.paned.form_command.buttontuning.menutuning.tuning2.label: IstrLimit",

/*
!! Menu' help
*/
"xmas.paned.form_command.buttonhelp.fromHoriz: buttontuning",
"xmas.paned.form_command.buttonhelp.label: Help",
"xmas.paned.form_command.buttonhelp.horizDistance: 150",
"xmas.paned.form_command.buttonhelp.menuhelp.help1.label: Help",
"xmas.paned.form_command.buttonhelp.menuhelp.help2.label: Author",
"xmas.paned.form_command.buttonhelp.menuhelp.help3.label: Copyright",

/*
!! Clock
*/
"xmas.paned.form_command.showBitmap.fromHoriz: buttonhelp",

/*
!!  pc, registers reset
*/
"xmas.paned.form_labelreg.pc.label: PC: 0x0  ",
"xmas.paned.form_labelreg.reset_reg.label: Reset Registers",
"xmas.paned.form_labelreg.reset_reg.fromHoriz: pc",
/*
!! Menu' istruction counter
*/
"xmas.paned.form_labelreg.buttonistrcounter.fromHoriz: reset_reg",
"xmas.paned.form_labelreg.buttonistrcounter.label: Counts",
"xmas.paned.form_labelreg.buttonistrcounter.menuistrcounter.total_istr_count.label: total : 0",
"xmas.paned.form_labelreg.buttonistrcounter.menuistrcounter.clear_all_counter.label: Clear all counters",


/*
!! Menu' Cache
*/
"xmas.paned.form_labelcache.buttoncache.label: Cache",
"xmas.paned.form_labelcache.buttoncache.menucache.cacheinvalid.label: Invalid",
"xmas.paned.form_labelcache.buttoncache.menucache.cacheresetstat.label: Reset Statistics",
"xmas.paned.form_labelcache.buttoncache.menucache.cachebit.label: Size",
"xmas.paned.form_labelcache.buttoncache.menucache.cachealphanum.label: AlphaNumeric",

/*
!! cache bit, total, miss, politica, scrittura, replacement,
!! invalid_cache, reset total e miss
*/
"xmas.paned.form_labelcache.total.fromVert: buttoncache",
"xmas.paned.form_labelcache.replace_mode.fromHoriz: scrittura",
"xmas.paned.form_labelcache.scrittura.fromHoriz: politica",
"xmas.paned.form_labelcache.total.label: Total: XXXXXXXX Miss: XXXXXXXX",
"xmas.paned.form_labelcache.modalita.label: StepByStep",
"xmas.paned.form_labelcache.politica.fromHoriz: buttoncache",
"xmas.paned.form_labelcache.bitcache.fromVert: buttoncache",
"xmas.paned.form_labelcache.bitcache.fromHoriz: total",

/*
!! Menu' Memory
*/
"xmas.paned.form_labelmemory.buttonmemory.label: Memory",
"xmas.paned.form_labelmemory.buttonmemory.menumemory.memoryinvalid.label: Invalid",
"xmas.paned.form_labelmemory.buttonmemory.menumemory.memorybit.label: Size",
"xmas.paned.form_labelmemory.buttonmemory.menumemory.memorysearch.label: Search",
"xmas.paned.form_labelmemory.buttonmemory.menumemory.memoryalphanum.label: Alphanumeric",

/*
!! memory section
*/
"xmas.paned.form_labelmemory.bitmemory.fromHoriz: buttonmemory",
"xmas.paned.form_labelmemory.bitmemory.label: Bit:   ",

/*
!! Istruction viewer
*/
"xmas.paned.form_view_istruzione.view_istruzione.label: Istruction to execute",

/*
!! Popup: load, pc, way and cache_size
*/
/*"xmas.xmasDialog.allowShellResize: True",*/
"xmas.xmasDialog.dialog.value: ",
"xmas.xmasDialog.dialog.dialog_done.label: Accept",
"xmas.xmasDialog.dialog.dialog_cancel.label: Cancel",

"xmas.xmasMessage.form_message.done_message.label: Done",

/*
!! Shell: text message
*/
/*  "xmas.xmasWriteIstruction.form_writeistr.entrylabel.label: Write istruction to entry: #   ", */


/*
!! Shell Change Entry
*/
"xmas.xmasChangeCacheEntry.form_changeentry.ldclabel.label: Change cache entry: #",
"xmas.xmasChangeCacheEntry.form_changeentry.taglabel.label: Tag:",
"xmas.xmasChangeCacheEntry.form_changeentry.taglabel.fromVert: ldclabel",
"xmas.xmasChangeCacheEntry.form_changeentry.tagtext.fromVert: ldclabel",
"xmas.xmasChangeCacheEntry.form_changeentry.tagtext.fromHoriz: taglabel",
"xmas.xmasChangeCacheEntry.form_changeentry.datalabel.label: Data:",
"xmas.xmasChangeCacheEntry.form_changeentry.datalabel.fromVert: taglabel",
"xmas.xmasChangeCacheEntry.form_changeentry.datatext.fromVert: taglabel",
"xmas.xmasChangeCacheEntry.form_changeentry.datatext.fromHoriz: datalabel",
"xmas.xmasChangeCacheEntry.form_changeentry.validlabel.label: Valid:",
"xmas.xmasChangeCacheEntry.form_changeentry.validlabel.fromVert: datalabel",
"xmas.xmasChangeCacheEntry.form_changeentry.validrepeater.label: 1",
"xmas.xmasChangeCacheEntry.form_changeentry.validrepeater.fromVert: datalabel",
"xmas.xmasChangeCacheEntry.form_changeentry.validrepeater.fromHoriz: validlabel",
"xmas.xmasChangeCacheEntry.form_changeentry.dirtylabel.label: Dirty:",
"xmas.xmasChangeCacheEntry.form_changeentry.dirtylabel.fromVert: validlabel",
"xmas.xmasChangeCacheEntry.form_changeentry.dirtyrepeater.label: 1",
"xmas.xmasChangeCacheEntry.form_changeentry.dirtyrepeater.fromVert: validlabel",
"xmas.xmasChangeCacheEntry.form_changeentry.dirtyrepeater.fromHoriz: dirtylabel",
"xmas.xmasChangeCacheEntry.form_changeentry.keeplabel.label: Keep:",
"xmas.xmasChangeCacheEntry.form_changeentry.keeplabel.fromVert: dirtylabel",
"xmas.xmasChangeCacheEntry.form_changeentry.keeprepeater.label: 0",
"xmas.xmasChangeCacheEntry.form_changeentry.keeprepeater.fromVert: dirtylabel",
"xmas.xmasChangeCacheEntry.form_changeentry.keeprepeater.fromHoriz: keeplabel",
"xmas.xmasChangeCacheEntry.form_changeentry.demandlabel.label: Demand",
"xmas.xmasChangeCacheEntry.form_changeentry.demandlabel.fromVert: keeplabel",
"xmas.xmasChangeCacheEntry.form_changeentry.demandtext.fromVert: keeplabel",
"xmas.xmasChangeCacheEntry.form_changeentry.demandtext.fromHoriz: demandlabel",
"xmas.xmasChangeCacheEntry.form_changeentry.done_changeentry.label: Accept",
"xmas.xmasChangeCacheEntry.form_changeentry.done_changeentry.fromVert: demandlabel",
"xmas.xmasChangeCacheEntry.form_changeentry.cancel_changeentry.label: Cancel",
"xmas.xmasChangeCacheEntry.form_changeentry.cancel_changeentry.fromVert: demandtext",
"xmas.xmasChangeCacheEntry.form_changeentry.cancel_changeentry.fromHoriz: done_changeentry",

/*
!! Shell Edit
*/
"xmas.xmasEditor.form_edit.labelPC.label: Start PC:",
"xmas.xmasEditor.form_edit.doneedit.label: Write to Memory",
"xmas.xmasEditor.form_edit.canceledit.label: Done",
"xmas.xmasEditor.form_edit.saveedit.label: Save",
"xmas.xmasEditor.form_edit.loadedit.label: Open",
"xmas.xmasEditor.form_edit.filename_label.label: File name:",
"xmas.xmasEditor.form_edit.checker.label: Syntax Check",
"xmas.xmasEditor.form_edit.clean_editor.label: Clear Buffer",
"xmas.xmasEditor.form_edit.print_command.label: Print buffer",
"xmas.xmasEditor.form_edit.buttonbuffers.label: Buffers",
"xmas.xmasEditor.form_edit.buttonbuffers.menubuffers.buffer1.label: No Name Available Now",
"xmas.xmasEditor.form_edit.buttonbuffers.menubuffers.buffer2.label: No Name Available Now",
"xmas.xmasEditor.form_edit.buttonbuffers.menubuffers.buffer3.label: No Name Available Now",
"xmas.xmasEditor.form_edit.buttonbuffers.menubuffers.buffer4.label: No Name Available Now",
"xmas.xmasEditor.form_edit.buttonfile.label: File",
"xmas.xmasEditor.form_edit.buttonfile.menufile.file1.label: Open",
"xmas.xmasEditor.form_edit.buttonfile.menufile.file2.label: Save",
"xmas.xmasEditor.form_edit.buttonfile.menufile.file3.label: Save as",
"xmas.xmasEditor.form_edit.buttonfile.menufile.file4.label: Save as HTML",
"xmas.xmasEditor.form_edit.buttonfile.menufile.file5.label: Send as email",
"xmas.xmasEditor.form_edit.buttonfile.menufile.file6.label: Close",

/*
!! YNShelly
*/
"xmas.xmasYN.form_YN.YN_dummy.borderWidth: 0",
"xmas.xmasYN.form_YN.YN_dummy.sensitive: false",
"xmas.xmasYN.form_YN.YN_label.fromHoriz: YN_dummy",
"xmas.xmasYN.form_YN.YN_done.fromVert: YN_label",
"xmas.xmasYN.form_YN.YN_cancel.fromHoriz: YN_label",
"xmas.xmasYN.form_YN.YN_cancel.fromVert: YN_label",
"xmas.xmasYN.form_YN.YN_label.label: Error not yet used, no panic!",
"xmas.xmasYN.form_YN.YN_label.borderWidth: 0",
"xmas.xmasYN.form_YN.YN_label.height: 55",
"xmas.xmasYN.form_YN.YN_label.width: 280",
"xmas.xmasYN.form_YN.YN_done.label: Yes",
"xmas.xmasYN.form_YN.YN_cancel.label: No",

/*
!! Breakpoint
*/
"xmas.xmasBreakpoints.form_BP.BPlabel.label: BreakPoints status: Disabled",
"xmas.xmasBreakpoints.form_BP.PClabel.label: Program counter:",
"xmas.xmasBreakpoints.form_BP.PClabel.fromVert: BPlabel",
"xmas.xmasBreakpoints.form_BP.PCtext.fromHoriz: PClabel",
"xmas.xmasBreakpoints.form_BP.PCtext.fromVert: BPlabel",
"xmas.xmasBreakpoints.form_BP.Condlabel.label: Check condition:",
"xmas.xmasBreakpoints.form_BP.Condlabel.fromVert: PClabel",
"xmas.xmasBreakpoints.form_BP.CondReg.label: Reg",
"xmas.xmasBreakpoints.form_BP.CondReg.fromVert: PClabel",
"xmas.xmasBreakpoints.form_BP.CondReg.fromHoriz: Condlabel",
"xmas.xmasBreakpoints.form_BP.CondCheck.label: ??",
"xmas.xmasBreakpoints.form_BP.CondCheck.fromVert: PClabel",
"xmas.xmasBreakpoints.form_BP.CondCheck.fromHoriz: CondReg",
"xmas.xmasBreakpoints.form_BP.Condvalue.fromHoriz: CondCheck",
"xmas.xmasBreakpoints.form_BP.Condvalue.fromVert: PClabel",
"xmas.xmasBreakpoints.form_BP.AddBreakpoint.label: Add breakpoint",
"xmas.xmasBreakpoints.form_BP.AddBreakpoint.fromVert: Condlabel",
"xmas.xmasBreakpoints.form_BP.ViewBP.fromVert: AddBreakpoint",
"xmas.xmasBreakpoints.form_BP.ViewBP.vertDistance: 30",
"xmas.xmasBreakpoints.form_BP.cancel.fromVert: ViewBP",
"xmas.xmasBreakpoints.form_BP.cancel.label: Done",

/*
!! MemEditor
*/
"xmas.xmasMemEditor.form_MemEditor.start_address.label: Begin Ldm",
"xmas.xmasMemEditor.form_MemEditor.finish_address.label: End Ldm  ",
"xmas.xmasMemEditor.form_MemEditor.doneME.label: Translate",
"xmas.xmasMemEditor.form_MemEditor.cancelME.label: Cancel",

/*
!! Choose shell
*/
"xmas.xmasPrint.form_Choose.chooser.label: Text Printer:",
"xmas.xmasPrint.form_Choose.Choose_done.label: Print",
"xmas.xmasPrint.form_Choose.Choose_cancel.label: Cancel",
"xmas.xmasPrint.form_Choose.lf_cr.label: CRLF",

/*
!! Search shell
*/
"xmas.xmasSearch.form_Search.label_search.label: Search value:",
"xmas.xmasSearch.form_Search.label_result.label: Search result:",
"xmas.xmasSearch.form_Search.search_result.label: Not available",
"xmas.xmasSearch.form_Search.search.label: Search",
"xmas.xmasSearch.form_Search.done.label: Done",

/*
!! Calc shell
*/
"xmas.xmasCalc.form_Calc.dhob.fromVert: display",
"xmas.xmasCalc.form_Calc.dhob.label: Hex",
"xmas.xmasCalc.form_Calc.clear.fromVert: dhob",
"xmas.xmasCalc.form_Calc.clear.label: C",
"xmas.xmasCalc.form_Calc.delete_digit.fromVert: clear",
"xmas.xmasCalc.form_Calc.delete_digit.label: <-",
"xmas.xmasCalc.form_Calc.form_digits.fromHoriz:dhob",
"xmas.xmasCalc.form_Calc.form_digits.fromVert: display",
"xmas.xmasCalc.form_Calc.form_digits.c.label: c",
"xmas.xmasCalc.form_Calc.form_digits.d.fromHoriz: c",
"xmas.xmasCalc.form_Calc.form_digits.d.label: d",
"xmas.xmasCalc.form_Calc.form_digits.e.fromHoriz: d",
"xmas.xmasCalc.form_Calc.form_digits.e.label: e",
"xmas.xmasCalc.form_Calc.form_digits.f.fromHoriz: e",
"xmas.xmasCalc.form_Calc.form_digits.f.label: f",
"xmas.xmasCalc.form_Calc.form_digits.eight.fromVert: c",
"xmas.xmasCalc.form_Calc.form_digits.eight.label: 8",
"xmas.xmasCalc.form_Calc.form_digits.nine.fromHoriz: eight",
"xmas.xmasCalc.form_Calc.form_digits.nine.fromVert: c",
"xmas.xmasCalc.form_Calc.form_digits.nine.label: 9",
"xmas.xmasCalc.form_Calc.form_digits.a.fromHoriz: nine",
"xmas.xmasCalc.form_Calc.form_digits.a.fromVert: c",
"xmas.xmasCalc.form_Calc.form_digits.a.label: a",
"xmas.xmasCalc.form_Calc.form_digits.b.fromHoriz: a",
"xmas.xmasCalc.form_Calc.form_digits.b.fromVert: c",
"xmas.xmasCalc.form_Calc.form_digits.b.label: b",
"xmas.xmasCalc.form_Calc.form_digits.four.fromVert: eight",
"xmas.xmasCalc.form_Calc.form_digits.four.label: 4",
"xmas.xmasCalc.form_Calc.form_digits.five.fromHoriz: four",
"xmas.xmasCalc.form_Calc.form_digits.five.fromVert: eight",
"xmas.xmasCalc.form_Calc.form_digits.five.label: 5",
"xmas.xmasCalc.form_Calc.form_digits.six.fromHoriz: five",
"xmas.xmasCalc.form_Calc.form_digits.six.fromVert: eight",
"xmas.xmasCalc.form_Calc.form_digits.six.label: 6",
"xmas.xmasCalc.form_Calc.form_digits.seven.fromHoriz: six",
"xmas.xmasCalc.form_Calc.form_digits.seven.fromVert: eight",
"xmas.xmasCalc.form_Calc.form_digits.seven.label: 7",
"xmas.xmasCalc.form_Calc.form_digits.zero.fromVert: four",
"xmas.xmasCalc.form_Calc.form_digits.zero.label: 0",
"xmas.xmasCalc.form_Calc.form_digits.one.fromVert: four",
"xmas.xmasCalc.form_Calc.form_digits.one.fromHoriz: zero",
"xmas.xmasCalc.form_Calc.form_digits.one.label: 1",
"xmas.xmasCalc.form_Calc.form_digits.two.fromHoriz: one",
"xmas.xmasCalc.form_Calc.form_digits.two.fromVert: four",
"xmas.xmasCalc.form_Calc.form_digits.two.label: 2",
"xmas.xmasCalc.form_Calc.form_digits.three.fromHoriz: two",
"xmas.xmasCalc.form_Calc.form_digits.three.fromVert: four",
"xmas.xmasCalc.form_Calc.form_digits.three.label: 3",
"xmas.xmasCalc.form_Calc.form_digits.divide.fromHoriz: f",
"xmas.xmasCalc.form_Calc.form_digits.divide.label: /",
"xmas.xmasCalc.form_Calc.form_digits.multiply.fromHoriz: b",
"xmas.xmasCalc.form_Calc.form_digits.multiply.fromVert: divide",
"xmas.xmasCalc.form_Calc.form_digits.multiply.label: x",
"xmas.xmasCalc.form_Calc.form_digits.sub.fromHoriz: seven",
"xmas.xmasCalc.form_Calc.form_digits.sub.fromVert: multiply",
"xmas.xmasCalc.form_Calc.form_digits.sub.label: -",
"xmas.xmasCalc.form_Calc.form_digits.add.fromHoriz: three",
"xmas.xmasCalc.form_Calc.form_digits.add.fromVert: sub",
"xmas.xmasCalc.form_Calc.form_digits.add.label: +",
"xmas.xmasCalc.form_Calc.form_digits.equal.fromHoriz: add",
"xmas.xmasCalc.form_Calc.form_digits.equal.fromVert: sub",
"xmas.xmasCalc.form_Calc.form_digits.equal.label: =",
"xmas.xmasCalc.form_Calc.form_digits.and.fromVert: zero",
"xmas.xmasCalc.form_Calc.form_digits.and.label: And",
"xmas.xmasCalc.form_Calc.form_digits.or.fromHoriz: and",
"xmas.xmasCalc.form_Calc.form_digits.or.fromVert: zero",
"xmas.xmasCalc.form_Calc.form_digits.or.label: Or",
"xmas.xmasCalc.form_Calc.form_digits.exor.fromHoriz: or",
"xmas.xmasCalc.form_Calc.form_digits.exor.fromVert: zero",
"xmas.xmasCalc.form_Calc.form_digits.exor.label: Exor",
"xmas.xmasCalc.form_Calc.cancel.fromVert: form_digits",
"xmas.xmasCalc.form_Calc.cancel.label: Done",

/*
!! ExecutionPath shell
*/
"xmas.xmasPathTracer.form.done.label: Done",
"xmas.xmasPathTracer.form.update.label: Update",
"xmas.xmasPathTracer.form.delete.label: Clear",
"xmas.xmasPathTracer.form.status.label: Unroll",
"xmas.xmasPathTracer.form.saveas.label: Save as",

/*
!! Preferences shell
*/
"xmas.xmasPreferences.form_preferences.title.label: Xmas Preferences",
"xmas.xmasPreferences.form_preferences.buttonmodules.label: Customize",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.general.label: General",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.editor.label: Editor",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.executor.label: Executor",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.breakpoints.label: Breakpoints",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.pathtracer.label: Path Tracer",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.email.label: Email",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.print.label: Print",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.registers.label: Registers",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.cache.label: Cache",
"xmas.xmasPreferences.form_preferences.buttonmodules.menumodules.memory.label: Memory",
"xmas.xmasPreferences.form_preferences.text.fromVert: buttonmodules",
"xmas.xmasPreferences.form_preferences.save.label: Save",
"xmas.xmasPreferences.form_preferences.save.fromVert: text",
"xmas.xmasPreferences.form_preferences.close.label: Cancel",
"xmas.xmasPreferences.form_preferences.close.fromVert: text",
"xmas.xmasPreferences.form_preferences.close.fromHoriz: save",
"xmas.xmasPreferences.form_preferences.default_setting.label: Default Setting",
"xmas.xmasPreferences.form_preferences.default_setting.fromVert: text",
"xmas.xmasPreferences.form_preferences.default_setting.fromHoriz: close",

/*
!! Sizer shell
*/
"xmas.xmasSizer.form_Sizer.close.label: Cancel",
"xmas.xmasSizer.form_Sizer.accept.label: Accept",
"xmas.xmasSizer.form_Sizer.oldvalueLabel.label: Actual using value:",
"xmas.xmasSizer.form_Sizer.insertlabel.label: Manual value:",
/*
!! Email shell
*/
"xmas.xmasEmail.form_Email.emailLabel.label: email address:",
"xmas.xmasEmail.form_Email.subjectRep.label: email subject:",
"xmas.xmasEmail.form_Email.bodyLabel.label: email body:   ",
"xmas.xmasEmail.form_Email.close.label: Cancel",
"xmas.xmasEmail.form_Email.accept.label: Accept",

/*
!! OpenSave shell
*/
"xmas.xmasOpenSave.form.file_name.label: Open File:",
"xmas.xmasOpenSave.form.done.label: Accept",
"xmas.xmasOpenSave.form.cancel.label: Cancel",
"xmas.xmasOpenSave.form.delete.label: Delete",
